diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index 4613d97a1..93141e64e 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -411,7 +411,7 @@ define([
       editorOptions['columns_length'] = this.column.collection.length;
       editorOptions['el'].attr('tabindex', 0);
 
-      this.listenTo(this.model, 'backgrid:edit', function(model, column, cell, editor) {
+      this.listenTo(this.model, 'backgrid:edit', function(model, column, sel_cell, editor) {
         if (column.get('name') == this.column.get('name'))
           editor.extendWithOptions(editorOptions);
       });
@@ -850,7 +850,7 @@ define([
         }
 
         if (gotoCell) {
-          let command = new Backgrid.Command({
+          let cmd = new Backgrid.Command({
             key: 'Tab',
             keyCode: 9,
             which: 9,
@@ -862,12 +862,12 @@ define([
               e.preventDefault();
               e.stopPropagation();
               self.model.trigger('backgrid:edited', self.model,
-                self.column, command);
+                self.column, cmd);
             }
             else {
               // When we have Non-Editable Cell
               self.model.trigger('backgrid:edited', self.model,
-                self.column, command);
+                self.column, cmd);
             }
           }, 20);
         }
@@ -1008,11 +1008,11 @@ define([
       // Select the highlighted item on Tab press.
       if (this.$sel) {
         this.$sel.data('select2').on('keypress', function(ev) {
-          var self = this;
+          var ctx = this;
 
           // keycode 9 is for TAB key
-          if (ev.which === 9 && self.isOpen()) {
-            self.trigger('results:select', {});
+          if (ev.which === 9 && ctx.isOpen()) {
+            ctx.trigger('results:select', {});
             ev.preventDefault();
           }
         });
diff --git a/web/pgadmin/static/vendor/backgrid/backgrid.js b/web/pgadmin/static/vendor/backgrid/backgrid.js
index 19fb76c61..3c2b52c38 100644
--- a/web/pgadmin/static/vendor/backgrid/backgrid.js
+++ b/web/pgadmin/static/vendor/backgrid/backgrid.js
@@ -859,8 +859,8 @@ var Cell = Backgrid.Cell = Backbone.View.extend({
     this.listenTo(model, "backgrid:error", this.renderError);
 
     this.listenTo(column, "change:editable change:sortable change:renderable",
-                  function (column) {
-                    var changed = column.changedAttributes();
+                  function (col) {
+                    var changed = col.changedAttributes();
                     for (var key in changed) {
                       if (changed.hasOwnProperty(key)) {
                         $el.toggleClass(key, changed[key]);
@@ -1944,24 +1944,24 @@ var Row = Backgrid.Row = Backbone.View.extend({
       cells.push(this.makeCell(columns.at(i), options));
     }
 
-    this.listenTo(columns, "add", function (column, columns) {
-      var i = columns.indexOf(column);
+    this.listenTo(columns, "add", function (column, cols) {
+      var index = cols.indexOf(column);
       var cell = this.makeCell(column, options);
-      cells.splice(i, 0, cell);
+      cells.splice(index, 0, cell);
 
       var $el = this.$el;
-      if (i === 0) {
+      if (index === 0) {
         $el.prepend(cell.render().$el);
       }
-      else if (i === columns.length - 1) {
+      else if (index === cols.length - 1) {
         $el.append(cell.render().$el);
       }
       else {
-        $el.children().eq(i).before(cell.render().$el);
+        $el.children().eq(index).before(cell.render().$el);
       }
     });
 
-    this.listenTo(columns, "remove", function (column, columns, opts) {
+    this.listenTo(columns, "remove", function (column, cols, opts) {
       cells[opts.index].remove();
       cells.splice(opts.index, 1);
     });
@@ -2107,8 +2107,8 @@ var HeaderCell = Backgrid.HeaderCell = Backbone.View.extend({
     var column = this.column, collection = this.collection, $el = this.$el;
 
     this.listenTo(column, "change:editable change:sortable change:renderable",
-                  function (column) {
-                    var changed = column.changedAttributes();
+                  function (col) {
+                    var changed = col.changedAttributes();
                     for (var key in changed) {
                       if (changed.hasOwnProperty(key)) {
                         $el.toggleClass(key, changed[key]);
